/* Copyright (C) 2014 by Bundesamt für Sicherheit in der Informationstechnik
 * Software engineering by Intevation GmbH
 *
 * This file is Free Software under the GNU GPL (v>=2)
 * and comes with ABSOLUTELY NO WARRANTY!
 * See LICENSE.txt for details.
 */

#include "mainwindowtest.h"

#include <QSignalSpy>

#ifdef Q_OS_WIN
 Q_IMPORT_PLUGIN(QWindowsIntegrationPlugin)
#else
 Q_IMPORT_PLUGIN(QXcbIntegrationPlugin)
#endif

MainWindowTest::MainWindowTest() : MainWindow(true) {
}

void MainWindowTest::closeApp() {
    emit closeCalled();
}

void MainWindowTest::testValidUpdate() {
    QSignalSpy closed(this, SIGNAL(closeCalled()));
#ifdef Q_OS_WIN
    installNewSW(QString::fromLatin1("c:/fakeinst.exe"), QDateTime::currentDateTime());
#else
    installNewSW(QString::fromLatin1("fakeinst"), QDateTime::currentDateTime());
#endif
    QVERIFY(closed.count() == 1);
}

QTEST_MAIN(MainWindowTest);
